summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2017-05-28 11:34:40 -0400
committerMike Gilbert <floppym@gentoo.org>2017-05-28 11:35:20 -0400
commit9b32ce88c3b0d50f2183e75b0ef62dbbc68d51a2 (patch)
treea576ea2910a3841a31b04655f1412e07195829a6 /gnome-base/gnome-settings-daemon
parentgnome-base/gnome-settings-daemon: prepare for dbusmock tests, but still disab... (diff)
downloadgentoo-9b32ce88c3b0d50f2183e75b0ef62dbbc68d51a2.tar.gz
gentoo-9b32ce88c3b0d50f2183e75b0ef62dbbc68d51a2.tar.bz2
gentoo-9b32ce88c3b0d50f2183e75b0ef62dbbc68d51a2.zip
gnome-base/gnome-settings-daemon: fixup python_check_deps
Package-Manager: Portage-2.3.6_p1, Repoman-2.3.2_p69
Diffstat (limited to 'gnome-base/gnome-settings-daemon')
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.2.ebuild4
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.0.ebuild7
2 files changed, 8 insertions, 3 deletions
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.2.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.2.ebuild
index c0268205f73..b748cd5fa44 100644
--- a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.2.ebuild
+++ b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.2.ebuild
@@ -101,7 +101,9 @@ PATCHES=(
)
python_check_deps() {
- use test && has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]"
+ if use test; then
+ has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]"
+ fi
}
pkg_setup() {
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.0.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.0.ebuild
index 29d5996402c..640a918763b 100644
--- a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.0.ebuild
+++ b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.0.ebuild
@@ -95,6 +95,7 @@ DEPEND="${COMMON_DEPEND}
# TypeErrors with python3; weird test errors with python2; all in power component that was made required now
RESTRICT="test"
+# RESTRICT="!test? ( test )"
PATCHES=(
# Make colord and wacom optional; requires eautoreconf
@@ -104,8 +105,10 @@ PATCHES=(
)
python_check_deps() {
- use test && has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]" \
- && has_version "dev-python/dbusmock[${PYTHON_USEDEP}]"
+ if use test; then
+ has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]" &&
+ has_version "dev-python/dbusmock[${PYTHON_USEDEP}]"
+ fi
}
pkg_setup() {